Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-desktop-sharp
Version:	2.26.0
Release:	1
License:	GNU/GPL
URL:		http://www.gnome.org
Group:		System/Libraries
Summary:	.NET language binding for mono
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: enchant-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-panel-libs
BuildRequires: gnome-sharp-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: gtk-sharp-devel
BuildRequires: gtksourceview-devel
BuildRequires: hal-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgtkhtml3-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libwnck-devel
BuildRequires: libxml2-devel
BuildRequires: mono-core-devel
BuildRequires: nautilus-cd-burner-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: vte-devel
BuildRequires: zlib-devel

%description
GnomeDesktop is a .NET language binding for assorted
GNOME libraries from the desktop release.

%package	devel
Summary:	Developing files for gnome-Desktop-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Package %{name}-devel provides development files for writing
%{name} applications.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS README
%_libdir/*.so
%_libdir/mono/gac/gnomedesktop-sharp
%_libdir/mono/gac/gnome-panel-sharp
%_libdir/mono/gac/gnome-print-sharp
%_libdir/mono/gac/nautilusburn-sharp
%_libdir/mono/gac/gtkhtml-sharp
%_libdir/mono/gac/gtksourceview2-sharp
%_libdir/mono/gac/rsvg2-sharp
%_libdir/mono/gac/vte-sharp
%_libdir/mono/gac/wnck-sharp
%_libdir/mono/gnomedesktop-sharp-2.20
%_libdir/mono/gnome-panel-sharp-2.24
%_libdir/mono/gnome-print-sharp-2.18
%_libdir/mono/nautilusburn-sharp-2.20
%_libdir/mono/gtkhtml-sharp-3.14
%_libdir/mono/gtksourceview2-sharp-2.0
%_libdir/mono/rsvg2-sharp-2.0
%_libdir/mono/vte-sharp-0.16
%_libdir/mono/wnck-sharp-2.20
%_datadir/gnomedesktop-sharp
%_datadir/gnome-panel-sharp
%_datadir/gnome-print-sharp
%_datadir/nautilusburn-sharp
%_datadir/gtkhtml-sharp
%_datadir/gtksourceview2-sharp
%_datadir/rsvg2-sharp
%_datadir/vte-sharp
%_datadir/wnck-sharp

%files devel
%defattr(-,root,root)
%doc HACKING
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- initial CCux package release
